Bug 1907226 - Please build python-img2pdf for EPEL8
Summary: Please build python-img2pdf for EPEL8
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-img2pdf
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Georg Sauthoff
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-13 18:58 UTC by Orion Poplawski
Modified: 2021-01-12 01:41 UTC (History)
1 user (show)

Fixed In Version: python-img2pdf-0.4.0-3.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-01-12 01:41:18 UTC
Type: Bug


Attachments (Terms of Use)

Description Orion Poplawski 2020-12-13 18:58:25 UTC
Description of problem:

I'd like to see python-img2pdf in EPEL8.  Looks like we need to stick with 0.3.4 there due to the large amount of issues with trying to build pikepdf.  There also is no mupdf, but this is just needed for testing and does not break things if not present.

If you don't want to maintain it for epel, you can add me (FAS orion) as an admin to the package and I can request and maintain the epel8 branch.

Version-Release number of selected component (if applicable):
0.3.4

Comment 1 Georg Sauthoff 2020-12-13 21:18:34 UTC
Ok, I'll try to build it on EPEL8.

Regarding the dependencies - AFAICS, pdfrw also isn't available in EPEL8 nor in the main RHEL8/CentOS8 repository.

However, img2pdf also contains an internal PDF engine, i.e. it's even possible to use it without these dependencies - also with 0.4.0.

I couldn't find any serious limitations documented when using the internal engine.

See also: https://gitlab.mister-muffin.de/josch/img2pdf/issues/74

So I would just remove the pdfrw/pikepdf dependency on EPEL8 then.

Comment 2 Orion Poplawski 2020-12-13 21:37:00 UTC
Thanks.  I'm happy with whatever way you go.  When I tried to build 0.4.0 without pikepdf a test fails trying to import it, so it's going to require some patching.  And, yes, pdfrw seems to be a dead project so not worth trying to keep that.

Comment 3 Fedora Update System 2020-12-27 17:43:28 UTC
FEDORA-EPEL-2020-1666a75a04 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-1666a75a04

Comment 4 Fedora Update System 2020-12-28 01:44:34 UTC
FEDORA-EPEL-2020-1666a75a04 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-1666a75a04

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2021-01-12 01:41:18 UTC
FEDORA-EPEL-2020-1666a75a04 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.